# musicbrainz-picard - https://hub.docker.com/r/jlesage/musicbrainz-picard
---
services:
  musicbrainz-picard:
    image: jlesage/musicbrainz-picard:latest
    container_name: musicbrainz_picard
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/New_York
    volumes:
      - ${DATA_PATH}/config:/config:rw
      - music_nfs:/storage:rw
      - downloads_nfs:/downloads:rw
    ports:
      - "${PICARD_PORT}:5800"
    restart: unless-stopped

volumes:
  music_nfs:
    name: music_nfs_picard
    driver_opts:
      type: nfs
      o: addr=${NAS_ADDR},nolock,soft,rw
      device: :${MEIDIA_PATH}/Music
  downloads_nfs:
    name: downloads_nfs_picard
    driver_opts:
      type: nfs
      o: addr=${NAS_ADDR},nolock,soft,rw
      device: :${MEIDIA_PATH}/downloads/nicotine
